nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 4em 10em;
}

.hamburger {
    cursor: pointer;
}

.hamburger input {
    display: none;
}

.hamburger svg {
    /* The size of the SVG defines the overall size */
    height: 3em;
    /* Define the transition for transforming the SVG */
    transition: transform 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.line {
    fill: none;
    stroke: white;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-width: 3;
    /* Define the transition for transforming the Stroke */
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
        stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.line-top-bottom {
    stroke-dasharray: 12 63;
}

.hamburger input:checked+svg {
    transform: rotate(-45deg);
}

.hamburger input:checked+svg .line-top-bottom {
    stroke-dasharray: 20 300;
    stroke-dashoffset: -32.42;
}

/* home article */
article {
    padding: 1em 20em;
}

.glitch {
    color: inherit;
    padding: 0px;
    background: none 0px 80% / 100% 0.3em no-repeat;
    position: relative;
}

article h1 {
    font-size: 2.275em;
    font-weight: 500;
    margin: 2rem 0rem 1.5rem;
    position: relative;
    letter-spacing: 10px;
}

article h1::before {
    left: 2px;
    text-shadow: rgb(0, 255, 255) -1px 0px;
    animation: 15s linear 0s infinite alternate-reverse none running noise-anim-2;
    content: attr(data-text);
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

article h1::after {
    left: -2px;
    text-shadow: rgb(255, 105, 180) 3px 0px;
    animation: 2s linear 0s infinite alternate-reverse none running noise-anim;
    content: attr(data-text);
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
}

#welcome-text {
    font-size: 11pt;
    text-align: justify;
    line-height: 26px;
}

#socials {
    display: flex;
    gap: 20px;
    margin-top: 20px;
}

#socials a {
    text-decoration: none;
    padding: 4px 8px;
    border-radius: 50%;
    overflow: hidden;
    transition: 0.2s;
}

#socials a img {
    margin-top: 4px;
}

#social a:visited {
    color: inherit;
}

#socials a:hover {
    background-color: #ffffff46;
}

#welcome-text p:nth-child(2) {
    margin-top: 5em;
    display: flex;
    align-items: center;
    gap: 1em;
}

#welcome-text p:nth-child(2) a {
    color: #ffffffcc;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

#welcome-text p:nth-child(2) a:hover {
    text-decoration: underline 0.2px;
    color: #ffffff;
}

#welcome-text p:nth-child(2) a:visited {
    color: #ffffffcc;
}

#welcome-text p:nth-child(2) img {
    animation-name: forward;
    animation-duration: 0.5s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

@keyframes noise-anim {
    0% {
        clip-path: inset(29% 0px 25%);
    }

    5% {
        clip-path: inset(9% 0px 38%);
    }

    10% {
        clip-path: inset(96% 0px 1%);
    }

    15% {
        clip-path: inset(75% 0px 23%);
    }

    20% {
        clip-path: inset(46% 0px 50%);
    }

    25% {
        clip-path: inset(3% 0px 46%);
    }

    30% {
        clip-path: inset(82% 0px 2%);
    }

    35% {
        clip-path: inset(88% 0px 1%);
    }

    40% {
        clip-path: inset(91% 0px 8%);
    }

    45% {
        clip-path: inset(96% 0px 2%);
    }

    50% {
        clip-path: inset(59% 0px 38%);
    }

    55% {
        clip-path: inset(41% 0px 53%);
    }

    60% {
        clip-path: inset(21% 0px 47%);
    }

    65% {
        clip-path: inset(89% 0px 4%);
    }

    70% {
        clip-path: inset(1% 0px 95%);
    }

    75% {
        clip-path: inset(86% 0px 4%);
    }

    80% {
        clip-path: inset(95% 0px 5%);
    }

    85% {
        clip-path: inset(54% 0px 36%);
    }

    90% {
        clip-path: inset(70% 0px 27%);
    }

    95% {
        clip-path: inset(6% 0px 16%);
    }

    100% {
        clip-path: inset(95% 0px 2%);
    }
}

@keyframes noise-anim-2 {
    0% {
        clip-path: inset(76% 0px 21%);
    }

    5% {
        clip-path: inset(54% 0px 7%);
    }

    10% {
        clip-path: inset(55% 0px 29%);
    }

    15% {
        clip-path: inset(89% 0px 3%);
    }

    20% {
        clip-path: inset(33% 0px 40%);
    }

    25% {
        clip-path: inset(17% 0px 56%);
    }

    30% {
        clip-path: inset(37% 0px 51%);
    }

    35% {
        clip-path: inset(38% 0px 19%);
    }

    40% {
        clip-path: inset(93% 0px 4%);
    }

    45% {
        clip-path: inset(44% 0px 14%);
    }

    50% {
        clip-path: inset(53% 0px 26%);
    }

    55% {
        clip-path: inset(67% 0px 11%);
    }

    60% {
        clip-path: inset(85% 0px 13%);
    }

    65% {
        clip-path: inset(27% 0px 37%);
    }

    70% {
        clip-path: inset(87% 0px 4%);
    }

    75% {
        clip-path: inset(10% 0px 8%);
    }

    80% {
        clip-path: inset(51% 0px 27%);
    }

    85% {
        clip-path: inset(10% 0px 60%);
    }

    90% {
        clip-path: inset(83% 0px 3%);
    }

    95% {
        clip-path: inset(23% 0px 55%);
    }

    100% {
        clip-path: inset(1% 0px 81%);
    }
}

@keyframes forward {
    0% {
        margin-left: 1rem;
    }

    100% {
        margin-left: 2rem;
    }
}

@media screen and (max-width: 900px) {
    nav {
        padding: 4em 5em;
    }

    article {
        padding: 1em 9em;
    }
}


@media screen and (max-width: 800px) {
    nav {
        padding: 4em 3em;
    }

    article {
        padding: 1em 4em;
    }
}

@media screen and (max-width: 400px) {
    nav {
        padding: 4em 2em;
    }

    article {
        padding: 1em 3em;
    }
}